package com.kuyuntech.vrv.coreapi.service.core;

import com.kuyuntech.vrv.coreapi.bean.core.UserBean;
import com.wbspool.fastboot.core.common.bean.PagerBean;
import java.util.List;

/**
 * UserService
 *
 */
public interface UserService  {

    

    /**
     * 新增记录
     * @param userBean 新增参数
     * @return 如果成功返回对应bean，否则返回null
     */
     UserBean add(UserBean userBean);

    /**
     * deng
     * @param userBean
     * @return
     */
     UserBean login(UserBean userBean);

    /**
     * 更新记录
     * @param userBean 更新参数
     * @return 如果成功返回对应bean，否则返回null
     */
     UserBean update(UserBean userBean);

    /**
     * 删除记录
     * @param userBean 删除参数
     * @return 如果成功返回对应bean，否则返回null
     */
    UserBean delete(UserBean userBean);

    /**
     * 查找一条记录
     * @param userBean 查找参数
     * @return 如果成功返回对应bean，否则返回null
     */
    UserBean find(UserBean userBean);

    /**
     * 通过唯一标识查找记录
     * @param code 用户标识
     * @return 记录存在返回对应的bean，否则返回null
     */
     UserBean find(String code);

    /**
     * 分页查找多条记录
     * @param userBean 查找参数
     * @param pagerBean  分页参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<UserBean> findAll(UserBean userBean, PagerBean pagerBean);



    /**
     * 查找所有记录
     * @param userBean 查找参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     List<UserBean> findAll(UserBean userBean);


    /**
     * 统计所有记录
     * @param userBean 统计参数
     * @return 记录存在返回对应的bean集合，否则返回空集合
     */
     Long countAll(UserBean userBean);

    /**
     * 分页查找多条记录
     * @param userBean 查询条件参数
     * @param pagerBean 分页参数
     * @return 返回查询结果的Pager封装
     */
     PagerBean<UserBean> findPager(UserBean userBean, PagerBean pagerBean);

    /**
     * 批量删除
     * @param userBeans 批量删除元素集合
     */
     void batchDelete(List<UserBean> userBeans);

    /**
     * 批量删除
     * @param codes 唯一标识集合
     */
    void batchDeleteByCodes(List<String> codes);


    UserBean bindRole(UserBean userBean);

    boolean updateUserPassword(UserBean userBean, String newPassword);
}
